Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 283748 - gpe-base/libsoundgen-0.6: depends on media-sound/esound
Summary: gpe-base/libsoundgen-0.6: depends on media-sound/esound
Status: VERIFIED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: High normal (vote)
Assignee: GPE Desktop Herd
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2009-09-05 13:13 UTC by ron widler
Modified: 2009-09-08 17:01 UTC (History)
0 users

See Also:
Package list:
Runtime testing required: ---


Attachments
ebuild with fixed DEPEND (libsoundgen-0.6.ebuild,667 bytes, text/plain)
2009-09-05 17:02 UTC, ron widler
Details

Note You need to log in before you can comment on or make changes to this bug.
Description ron widler 2009-09-05 13:13:21 UTC
when trying to compile gpe-base/libsoundgen-0.6 the compilation crashes for it can't find esd.h, after installing media-sound/esound manually it emerges without errors.

i can't tell if it's possible to patch it so it compiles without esd, so i guess it needs a DEPEND to media-sound/esound.


Reproducible: Always

Steps to Reproduce:
1. emerge gpe-base/libsoundgen (paludis -i libsoundgen)

Actual Results:  
---
 x86_64-pc-linux-gnu-gcc -DPACKAGE_NAME=\"libsoundgen\" -DPACKAGE_TARNAME=\"libsoundgen\" -DPACKAGE_VERSION=\"0.6\" "-DPACKAGE_STRING=\"libsoundgen 0.6\"" -DPACKAGE_BUGREPORT=\"gpe-list@linuxtogo.org\" -DPACKAGE=\"libsoundgen\" -DVERSION=\"0.6\" -DSTDC_HEADERS=1 -DHAVE_SYS_TYPES_H=1 -DHAVE_SYS_STAT_H=1 -DHAVE_STDLIB_H=1 -DHAVE_STRING_H=1 -DHAVE_MEMORY_H=1 -DHAVE_STRINGS_H=1 -DHAVE_INTTYPES_H=1 -DHAVE_STDINT_H=1 -DHAVE_UNISTD_H=1 -DHAVE_DLFCN_H=1 -I. -I. -I/usr/include/glib-2.0 -I/usr/lib64/glib-2.0/include -DPACKAGE_LOCALE_DIR=\"/usr/share/locale/libsoundgen\" -I./gpe -march=k8 -O2 -pipe -MT soundgen.lo -MD -MP -MF .deps/soundgen.Tpo -c soundgen.c  -fPIC -DPIC -o .libs/soundgen.o
soundgen.c:22:17: error: esd.h: No such file or directory
soundgen.c: In function 'soundgen_init':
soundgen.c:271: error: 'ESD_STEREO' undeclared (first use in this function)
soundgen.c:271: error: (Each undeclared identifier is reported only once
soundgen.c:271: error: for each function it appears in.)
soundgen.c:271: error: 'ESD_BITS16' undeclared (first use in this function)
soundgen.c:271: error: 'ESD_STREAM' undeclared (first use in this function)
soundgen.c:271: error: 'ESD_PLAY' undeclared (first use in this function)
make: *** [soundgen.lo] Error 1
/usr/libexec/paludis/utils/emake: emake returned error 2
---

Expected Results:  
pull esound as well or have a USE flag to disable the dependency 

paludis --info libsoundgen:
paludis 0.38.2
Paludis build information:
    Compiler:
        CXX:                   x86_64-pc-linux-gnu-g++ 4.1.2 (Gentoo 4.1.2 p1.0.2)
        CXXFLAGS:               -march=k8 -O2 -pipe
        LDFLAGS:               -Wl,-O1
        DATE:                  2009-08-03T05:17:49+0200

    Libraries:
        C++ Library:           GNU libstdc++ 20070214

    Paths:
        DATADIR:               /usr/share
        LIBDIR:                /usr/lib64
        LIBEXECDIR:            /usr/libexec
        SYSCONFDIR:            /etc
        PYTHONINSTALLDIR:      /usr/lib64/python2.6/site-packages
        RUBYINSTALLDIR:        /usr/lib64/ruby/site_ruby/1.8/x86_64-linux

System:
    Linux sndstat64 2.6.30-gentoo-r6-sndstat64 #2 SMP PREEMPT Tue Sep 1 20:23:27 CEST 2009 x86_64 AMD Athlon(tm) 64 X2 Dual Core Processor 4400+ AuthenticAMD GNU/Linux

Reduced Privs:
    reduced_uid:               2000
    reduced_uid->name:         paludisbuild
    reduced_uid->dir:          /var/tmp/paludis
    reduced_gid:               2000
    reduced_gid->name:         paludisbuild

Environment:
    Format:                    paludis
    Config dir:                /etc/paludis
    World file:                /var/db/pkg/world

--- repository info cut out ---

Package gpe-base/libsoundgen-0.6::installed:
        ACCEPT_KEYWORDS=amd64
        CBUILD=x86_64-pc-linux-gnu
        CFLAGS=-march=k8 -O2 -pipe
        CHOST=x86_64-pc-linux-gnu
        CONFIG_PROTECT=/etc /etc 
        CONFIG_PROTECT_MASK=/etc/env.d /etc/gconf 
        CPPFLAGS=
        CTARGET=
        CXXFLAGS=-march=k8 -O2 -pipe
        DISTDIR=/var/db/pkg/gpe-base/libsoundgen-0.6
        FEATURES=
        FFLAGS=
        GENTOO_MIRRORS=
        INSTALL_MASK=
        LANG=
        LC_ALL=C
        LDFLAGS=-Wl,-O1
        LINGUAS=de en zh zh_CN zh_TW
        MAKEOPTS=-j3
        PORTAGE_COMPRESS=
        PORTAGE_COMPRESS_FLAGS=
        PORTAGE_CONFIGROOT=
        PORTAGE_RSYNC_EXTRA_OPTS=
        PORTAGE_RSYNC_OPTS=
        PORTAGE_TMPDIR=/var/tmp/paludis
        PORTDIR=/var/db/pkg/gpe-base/libsoundgen-0.6
        PORTDIR_OVERLAY=
        SYNC=
        USE=nls amd64 alsa_cards_ali5451 alsa_cards_als4000 alsa_cards_atiixp alsa_cards_atiixp-modem alsa_cards_bt87x alsa_cards_ca0106 alsa_cards_cmipci alsa_cards_emu10k1x alsa_cards_ens1370 alsa_cards_ens1371 alsa_cards_es1938 alsa_cards_es1968 alsa_cards_fm801 alsa_cards_hda-intel alsa_cards_intel8x0 alsa_cards_intel8x0m alsa_cards_maestro3 alsa_cards_trident alsa_cards_usb-audio alsa_cards_via82xx alsa_cards_via82xx-modem alsa_cards_ymfpci alsa_pcm_plugins_adpcm alsa_pcm_plugins_alaw alsa_pcm_plugins_asym alsa_pcm_plugins_copy alsa_pcm_plugins_dmix alsa_pcm_plugins_dshare alsa_pcm_plugins_dsnoop alsa_pcm_plugins_empty alsa_pcm_plugins_extplug alsa_pcm_plugins_file alsa_pcm_plugins_hooks alsa_pcm_plugins_iec958 alsa_pcm_plugins_ioplug alsa_pcm_plugins_ladspa alsa_pcm_plugins_lfloat alsa_pcm_plugins_linear alsa_pcm_plugins_meter alsa_pcm_plugins_mmap_emul alsa_pcm_plugins_mulaw alsa_pcm_plugins_multi alsa_pcm_plugins_null alsa_pcm_plugins_plug alsa_pcm_plugins_rate alsa_pcm_plugins_route alsa_pcm_plugins_share alsa_pcm_plugins_shm alsa_pcm_plugins_softvol apache2_modules_actions apache2_modules_alias apache2_modules_auth_basic apache2_modules_authn_alias apache2_modules_authn_anon apache2_modules_authn_dbm apache2_modules_authn_default apache2_modules_authn_file apache2_modules_authz_dbm apache2_modules_authz_default apache2_modules_authz_groupfile apache2_modules_authz_host apache2_modules_authz_owner apache2_modules_authz_user apache2_modules_autoindex apache2_modules_cache apache2_modules_dav apache2_modules_dav_fs apache2_modules_dav_lock apache2_modules_deflate apache2_modules_dir apache2_modules_disk_cache apache2_modules_env apache2_modules_expires apache2_modules_ext_filter apache2_modules_file_cache apache2_modules_filter apache2_modules_headers apache2_modules_include apache2_modules_info apache2_modules_log_config apache2_modules_logio apache2_modules_mem_cache apache2_modules_mime apache2_modules_mime_magic apache2_modules_negotiation apache2_modules_rewrite apache2_modules_setenvif apache2_modules_speling apache2_modules_status apache2_modules_unique_id apache2_modules_userdir apache2_modules_usertrack apache2_modules_vhost_alias cameras_adc65 cameras_agfa_cl20 cameras_aox cameras_barbie cameras_canon cameras_casio_qv cameras_clicksmart310 cameras_digigr8 cameras_digita cameras_dimagev cameras_dimera3500 cameras_directory cameras_enigma13 cameras_fuji cameras_gsmart300 cameras_hp215 cameras_iclick cameras_jamcam cameras_jd11 cameras_kodak_dc120 cameras_kodak_dc210 cameras_kodak_dc240 cameras_kodak_dc3200 cameras_kodak_ez200 cameras_konica cameras_konica_qm150 cameras_largan cameras_lg_gsm cameras_mars cameras_mustek cameras_panasonic_coolshot cameras_panasonic_dc1000 cameras_panasonic_dc1580 cameras_panasonic_l859 cameras_pccam300 cameras_pccam600 cameras_polaroid_pdc320 cameras_polaroid_pdc640 cameras_polaroid_pdc700 cameras_ptp2 cameras_ricoh cameras_ricoh_g3 cameras_samsung cameras_sierra cameras_sipix_blink cameras_sipix_blink2 cameras_sipix_web2 cameras_smal cameras_sonix cameras_sony_dscf1 cameras_sony_dscf55 cameras_soundvision cameras_spca50x cameras_sq905 cameras_stv0674 cameras_stv0680 cameras_sx330z cameras_template cameras_toshiba_pdrm11 elibc_glibc input_devices_evdev input_devices_joystick input_devices_keyboard input_devices_mouse kernel_linux lcd_devices_bayrad lcd_devices_cfontz lcd_devices_cfontz633 lcd_devices_glk lcd_devices_hd44780 lcd_devices_lb216 lcd_devices_lcdm001 lcd_devices_mtxorb lcd_devices_ncurses lcd_devices_text linguas_de linguas_en linguas_zh linguas_zh_CN linguas_zh_TW lirc_devices_audio_alsa userland_GNU video_cards_dummy video_cards_nv video_cards_nvidia amd64
Comment 1 ron widler 2009-09-05 17:02:22 UTC
Created attachment 203211 [details]
ebuild with fixed DEPEND
Comment 2 Angelo Arrifano (RETIRED) gentoo-dev 2009-09-06 16:41:43 UTC
It is fixed in CVS. Thanks